Priority: Normal Due date:  

Assigned To: Tibaldo Luigi % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

User tutorials should be added to explain how to analyse the H.E.S.S. DR1 data. Preferentially, these tutorials should be in form of

Jupyter notebooks.

History

#1 - 11/05/2018 05:47 PM - Tibaldo Luigi

- Status changed from New to In Progress

- Assigned To set to Tibaldo Luigi

Some material already exists. This are the priorities to address:

revise unbinned analysis to use csbkgmodel

complete classical analysis (two ways to treat background, WSTAT or csbkgmodel)

stacked analysis (workflow to run using csbkgmodel)

joint HESS/Fermi analysis

do we need to treat separately analysis of extended sources?

#2 - 11/06/2018 10:14 AM - Tibaldo Luigi

I also redid event selection as jupyter notebook to have a consistent workflow.

I am making also small modifications to gammalib (so far only to fix a typo)

#3 - 11/06/2018 03:05 PM - Tibaldo Luigi

- % Done changed from 0 to 10

Refashioned tutorials on data selection, skymap generation/source finding, and classical analysis as notebooks. Added tutorial on csbkgmodel.

Along the way also:

fixed problem in initialisation of cssrcdetect

fixed reference manual of csbkgmodel

Classical analysis needs to be completed with non-WSTAT background as soon as available.

#4 - 11/06/2018 05:50 PM - Tibaldo Luigi

- File residualmap.png added

- File residuals_0.png added
- File residuals_1.png added

- File residuals_2.png added

- File residuals_3.png added

- File residuals_stacked.png added

- % Done changed from 10 to 30

Added Jupyter tutorial for unbinned analysis. The results from the fit look correct, but the stacked residuals are not consistent. The stacked spectral

residuals have large negative deficit near the threshold

 

although non-stacked spectral residuals are very good

 

 

 

 

Also the residual map looks biased toward negative residuals.

 

This is for the energy range 0.66-100 TeV, and accounting for energy dispersion. Neglecting energy dispersion leads to very similar results.

#5 - 11/07/2018 10:13 AM - Tibaldo Luigi

We understood a bit better the issue with residuals:

for csresmap it is related to the intrinsic approximations of the Significance formulae for low-counts regime, the tutorial will be done with SUBDIV

and a warning will be added to the reference manuals

for csresspec currently the combination of unbinned observations passes through the stacked response; I will change it to do this directly from

the IRFs using ctmodel

#6 - 11/07/2018 12:40 PM - Tibaldo Luigi

- File residualmap_new.png added

- File residuals_new.png added

- % Done changed from 30 to 40

The changes above make the residuals consistent.

Residual map (with 0.1 deg smoothing)

 

 

#7 - 11/07/2018 02:24 PM - Tibaldo Luigi

- File residuals_fixed.png added

There was obviously a problem with the computation of individual components in the spectral residuals. I fixed this in csresspec

 

04/19/2024 2/5



I would propose to merge in devel what is available so far.
#8 - 11/08/2018 01:27 AM - Knödlseder Jürgen

I merged the documentation into devel.

I see some strange warnings containing a path on your computer at http://cta.irap.omp.eu/ctools-devel/users/tutorials/hess_dr1/skymap.html.

You will also see that the Jupyter notebook numbers are not starting from [1]. I guess once the notebooks are finished you have them run cleanly from

the beginning and then save the files, which will then conserve the numbering system for when the documentation is built.

#9 - 11/08/2018 12:54 PM - Tibaldo Luigi

thanks, I made a commit to solve the problems above.

#10 - 11/27/2018 11:51 AM - Tibaldo Luigi

- % Done changed from 40 to 80

I updated the classical analysis tutorial based on the latest modifications and also to include an example of classical analysis with background model.

In the process I also modified the dummy source creation in csphagen so that, if a source model is not provided, the dummy source is initialised with

reasonable parameter values.

Note I moved the development to a new branch '2712_HESSDR1_tutorials_new' branched from devel yesterday (to solve a bizarre conflict issue)

#11 - 11/27/2018 03:11 PM - Tibaldo Luigi

- Status changed from In Progress to Pull request

- % Done changed from 80 to 100

Finalised tutorial of joint Fermi/HESS analysis.

Ready for integration from my side.

#12 - 12/03/2018 11:57 AM - Tibaldo Luigi

- Status changed from Pull request to In Progress

- % Done changed from 100 to 90

The Fermi observatory released an updated dataset (P8R3). I will modify the tutorial using this most up to date dataset.

#13 - 01/15/2019 12:02 PM - Tibaldo Luigi

- Status changed from In Progress to Pull request

- % Done changed from 90 to 100

I updated the joint Fermi-HESS tutorial using P8R3 data. Ready for integration from my side.

#14 - 01/15/2019 12:07 PM - Tibaldo Luigi

- Status changed from Pull request to In Progress

- % Done changed from 100 to 90

Sorry, I forgot again to run all the notebooks to have a clean cell numbering, I will do and resend the pull request later.

#15 - 01/15/2019 05:33 PM - Tibaldo Luigi

- Status changed from In Progress to Pull request
- % Done changed from 90 to 100

Done, can merge now!

#16 - 03/06/2019 02:03 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

The tutorial was merged into the devel branch.
